--Handles to keep teams
local cpu_nsdf = 5
local cpu_cca = 6
local cpu_ally = 7

--Set handle for outskirt production units
local nord_recy = GetHandle("avrecy206_recycler")
local nord_facy = GetHandle("avmuf206_factory")
local sud_recy = GetHandle("avrecy205_recycler")
local sud_facy = GetHandle("avmuf205-factory")

--Handles for sans-trigger


--Table to keep teams(for loops)
local cpu_teams = {cpu_nsdf,cpu_cca,cpu_ally}

--Give AI control teams
for iT = 1,3 do
SetAIControl(cpu_teams[iT], true)
end

function Start()

--Print initial message
DisplayMessage("Objective: Survive for as long as possible. If you get bored surviving, you can try to destroy the enemy bases.Also, try to keep your AI buddy alive. If you don't, you're going to have a bad time.")

--Set max Scrap/Pilots for AI teams, and add Scrap
for iT = 1,3 do
SetMaxScrap(cpu_teams[iT], 3500)
SetScrap(cpu_teams[iT], 2000)
SetMaxPilot(cpu_teams[iT],50)
end

--Ally player teams and AI
Ally(1,2)
Ally(1,3)
Ally(1,7)
Ally(2,7)
Ally(2,1)
Ally(2,3)
Ally(3,1)
Ally(3,7)
Ally(3,2)
Ally(7,1)
Ally(7,2)
Ally(7,3)


--Ally AI enemies
Ally(5,6)
Ally(6,5)


--Set AIPs for AI teams
SetAIP("multami.aip", cpu_nsdf)
SetAIP("multrs.aip", cpu_cca)
SetAIP("multfri.aip", cpu_ally)

--Lock alliances
LockAllies(true)end


function Update()

--Enemy reinforcements Nord
if not NordUnits then
if not IsAlive(nord_recy) and not IsAlive(nord_facy) then
BuildObject("svrecy", 6, "reinforce1")
BuildObject("svmuf", 6, "reinforce1")
AddScrap(6, 500)
AddScrap(5, 500)
for i = 1, 15 do
local cuddlypandas = BuildObject("svwalk", 6, "renforces1")
NordUnits = true
end
end
end

--Enemy reinforcements Sud
if not SudUnits then
if not IsAlive(sud_recy) and not IsAlive(sud_facy) then
BuildObject("svrecy", 6, "reinforce2")
BuildObject("svmuf", 6, "reinforce2")
AddScrap(6, 500)
AddScrap(5, 500)
for i = 1, 15 do
local teddybears = BuildObject("svwalk", 6, "renforces2")
SudUnits = true
end
end
end

--Keep pilots topped off for AI
for iT = 1,3 do
SetPilot(cpu_teams[iT], 50)
end
end